<div class="select-location-main-div">
  <form (ngSubmit)="onSubmit.emit(true)">
    <mat-card class="select-location-card">
      <mat-card-header>
        <mat-card-title>Select event and location</mat-card-title>
        <mat-card-subtitle>Please select the event and location for this session.</mat-card-subtitle>
      </mat-card-header>
      <mat-card-content>
        <p *ngIf="events.length > 0">
          <mat-form-field class="select-location-input-field">
            <mat-label>Event</mat-label>
            <mat-select (selectionChange)="eventChange.emit($event.value)" [formControl]="eventSelectionControl" required>
              <mat-option *ngFor="let event of events" [value]="event">{{event.title}}</mat-option>
            </mat-select>
            <mat-hint>Select Event</mat-hint>
            <mat-error *ngIf="eventSelectionControl.invalid">You must select an event.</mat-error>
          </mat-form-field>
        </p>
        <p *ngIf="locations.length > 0">
          <mat-form-field class="select-location-input-field">
            <mat-label>Location</mat-label>
            <mat-select (selectionChange)="locationChange.emit($event.value)" [formControl]="locationSelectionControl" required>
              <mat-option *ngFor="let location of locations" [value]="location">{{location.name}}</mat-option>
            </mat-select>
            <mat-hint>Select Location</mat-hint>
            <mat-error *ngIf="locationSelectionControl.invalid">You must select a location.</mat-error>
          </mat-form-field>
        </p>
      </mat-card-content>
      <mat-card-actions align="end">
        <button mat-raised-button color="primary" type="submit">SELECT</button>
      </mat-card-actions>
      <mat-card-footer>
        <mat-progress-bar *ngIf="showProgressIndicator" mode="indeterminate"></mat-progress-bar>
      </mat-card-footer>
    </mat-card>
  </form>
</div>
